// Set up our custom research page
mods.thaumcraft.Research.addTab("SALTY", "thaumcraft", "textures/items/brain.png");
game.setLocalization("en_US", "tc.research_category.SALTY", "Inner Machinations");

// Root research node
mods.thaumcraft.Research.addResearch("SALTY_ROOT", "SALTY", "perditio 5, ordo 5", 0, 0, 2, <GrimoireOfGaia:item.GrimoireOfGaia.BoxOld>);
mods.thaumcraft.Research.setRound("SALTY_ROOT", true);
mods.thaumcraft.Research.setAutoUnlock("SALTY_ROOT", true);
game.setLocalization("en_US", "tc.research_name.SALTY_ROOT", "Enigmatic Thoughts");
game.setLocalization("en_US", "tc.research_text.SALTY_ROOT", "What's inside this secret box?");

mods.thaumcraft.Research.addPage("SALTY_ROOT", "salt.research_page.root1");
game.setLocalization("en_US", "salt.research_page.root1", "You're unsure where the thoughts came from, but from time to time you experience... not quite deja vu, but a similar feeling. A recollection of an experience that you've never had.<BR>Something about a sponge and a festive celebration... You're not quite sure of the details, but you're certain this is an invitation for a line of research. Somehow.");

// Aether root node
mods.thaumcraft.Research.addResearch("SALTY_AETHER", "SALTY", "tempestas 2, cognitio 5", 3, -3, 1, <aether:aetherGrass>);
mods.thaumcraft.Research.addPrereq("SALTY_AETHER", "SALTY_ROOT", false);
game.setLocalization("en_US", "tc.research_name.SALTY_AETHER", "The Aether");
game.setLocalization("en_US", "tc.research_text.SALTY_AETHER", "Musings on the sky");

mods.thaumcraft.Research.addPage("SALTY_AETHER", "salt.research_page.aether1");
game.setLocalization("en_US", "salt.research_page.aether1", "The Aether is a wonderful place, barring the obvious hazards. Its lush floating forests and abundant and interesting wildlife are incredible to behold. Even more impressively, it conceals many a powerful artefact, boasting such abilities as improving your strength and solving one's hunger problems permanently.<BR>However, this is offset by their incredible rarity. It's unlikely that a thaumaturge may ever see them all in the wild in one lifetime. This has lead you to experiment with recreating the magic in the items yourself.");
mods.thaumcraft.Research.addPage("SALTY_AETHER", "salt.research_page.aether2");
game.setLocalization("en_US", "salt.research_page.aether2", "Your initial experiments in this vein have borne fruit. Starting small, you're able to infuse a small amount of aer vis into regular everyday stone, grass, and dirt to produce their Aetherian counterparts.<BR>You're certain you'll be able to do much more in the future, but for right now you can at least nurture a small garden here on solid ground.");

mods.thaumcraft.Arcane.addShapeless("SALTY_AETHER", <aether:holystone:1>, "aer 1", [<ore:cobblestone>]);
mods.thaumcraft.Research.addArcanePage("SALTY_AETHER", <aether:holystone:1>);
mods.thaumcraft.Arcane.addShapeless("SALTY_AETHER", <aether:holystone:3>, "aer 1", [<minecraft:mossy_cobblestone>]);
mods.thaumcraft.Research.addArcanePage("SALTY_AETHER", <aether:holystone:3>);
mods.thaumcraft.Arcane.addShapeless("SALTY_AETHER", <aether:aetherDirt:1>, "aer 1", [<ore:dirt>]);
mods.thaumcraft.Research.addArcanePage("SALTY_AETHER", <aether:aetherDirt:1>);
mods.thaumcraft.Arcane.addShapeless("SALTY_AETHER", <aether:aetherGrass>, "aer 1", [<ore:grass>]);
mods.thaumcraft.Research.addArcanePage("SALTY_AETHER", <aether:aetherGrass>);

// Aether fangry
mods.thaumcraft.Research.addResearch("SALTY_FANGRY", "SALTY", "tempestas 2, bestia 5", 3, -5, 1, <aether:fangrinCapsule>);
mods.thaumcraft.Research.addPrereq("SALTY_FANGRY", "SALTY_AETHER", false);
game.setLocalization("en_US", "tc.research_name.SALTY_FANGRY", "Artificial Fangrin Binding");
game.setLocalization("en_US", "tc.research_text.SALTY_FANGRY", "A very angry familiar. A fangry, if you will");

mods.thaumcraft.Research.addPage("SALTY_FANGRY", "salt.research_page.fangry1");
game.setLocalization("en_US", "salt.research_page.fangry1", "As you suspected, companion capsules are not capsules at all, but instead artifacts that function similarly to familiars. This makes sense; how else would the companion return to your side after suffering a mortal wound?<BR>The magic is easy to replicate, but limited. You're still restricted to one familiar at a time.<BR>Note that, despite their immortality, fangrin are not appreciative of being killed.");

mods.thaumcraft.Infusion.addRecipe("SALTY_FANGRY", <aether:holystone:1>, [<minecraft:lead>, <ForbiddenMagic:NetherShard>], "bestia 8, permutatio 8, ira 2", <aether:fangrinCapsule>, 0);
mods.thaumcraft.Research.addInfusionPage("SALTY_FANGRY", <aether:fangrinCapsule>);

// Aether regeneration stone
mods.thaumcraft.Research.addResearch("SALTY_REGENSTONE", "SALTY", "tempestas 2, victus 5, sano 5", 5, -1, 2, <aether:regenerationStone>);
mods.thaumcraft.Research.addPrereq("SALTY_REGENSTONE", "SALTY_AETHER", false);
mods.thaumcraft.Warp.addToResearch("SALTY_REGENSTONE", 3);
game.setLocalization("en_US", "tc.research_name.SALTY_REGENSTONE", "Artificial Regeneration Stone");
game.setLocalization("en_US", "tc.research_text.SALTY_REGENSTONE", "You've only got one life");

mods.thaumcraft.Research.addPage("SALTY_REGENSTONE", "salt.research_page.regenstone1");
game.setLocalization("en_US", "salt.research_page.regenstone1", "The Regeneration Stone is a powerful gemstone not unlike a diamond that can mystically repair one's wounds. While possible to replicate with thaumaturgy, the infusion is extremely dangerous and requires a very large amount of life-giving essentia.<BR>The resultant diamond shines brightly with life, almost to the point of coalescing a soul from the aura. It feels unnatural to hold in your hands.<BR>Come to think of it, you're unsure of how this item could have formed in the Aether naturally.");

mods.thaumcraft.Infusion.addRecipe("SALTY_REGENSTONE", <minecraft:diamond>, [<aether:goldenAmber>, <minecraft:potion:8229>, <minecraft:golden_apple:1>, <aether:goldenAmber>, <minecraft:potion:8225>, <minecraft:golden_apple:1>], "sano 320, victus 320, instrumentum 16", <aether:regenerationStone>, 10);
mods.thaumcraft.Research.addInfusionPage("SALTY_REGENSTONE", <aether:regenerationStone>);

mods.thaumcraft.Research.addPage("SALTY_REGENSTONE", "salt.research_page.regenstone2");
game.setLocalization("en_US", "salt.research_page.regenstone2", "It pains you to do so, but you can split this stone into smaller chunks for a more permanent increase to your vitality.");

mods.thaumcraft.Arcane.addShapeless("SALTY_REGENSTONE", <aether:shardOfLife> * 2, "perditio 10", [<aether:regenerationStone>]);
mods.thaumcraft.Research.addArcanePage("SALTY_REGENSTONE", <aether:shardOfLife>);

// Aether candy cane sword
mods.thaumcraft.Research.addResearch("SALTY_CANDYSWORD", "SALTY", "tempestas 2, fames 5, gula 5", 5, -5, 2, <aether:candyCaneSword>);
mods.thaumcraft.Research.addPrereq("SALTY_CANDYSWORD", "SALTY_AETHER", false);
game.setLocalization("en_US", "tc.research_name.SALTY_CANDYSWORD", "Artificial... Candy Sword?");
game.setLocalization("en_US", "tc.research_text.SALTY_CANDYSWORD", "Like conjuring candy in front of a baby");

mods.thaumcraft.Research.addPage("SALTY_CANDYSWORD", "salt.research_page.candysword1");
game.setLocalization("en_US", "salt.research_page.candysword1", "It's a sword! Made of CANDY!<BR>Well, not exactly. The samples you've found seem to be zanite, but the shimmer on the enchantment does give it the iconic red-and-white stripes of a candy cane.<BR>As part of this discovery, you've identified that the sword simply conjures these candy canes into existence from the aura; they do not in any way contain zombie flesh.<BR>Thank goodness.");

mods.thaumcraft.Infusion.addRecipe("SALTY_CANDYSWORD", <aether:zaniteSword>, [<ForbiddenMagic:GluttonyShard>, <ForbiddenMagic:GluttonyShard>, <aether:enchantedGravitite>, <aether:aetherLog>], "fames 8, gula 8, tempestas 8", <aether:candyCaneSword>, 1);
mods.thaumcraft.Research.addInfusionPage("SALTY_CANDYSWORD", <aether:candyCaneSword>);
mods.thaumcraft.Aspects.add(<aether:candyCane>, "fames 1, gula 2");

// Aether skyroot ring
mods.thaumcraft.Research.addResearch("SALTY_WOODRING", "SALTY", "arbor 5, lucrum 5, instrumentum 5", 6, -3, 1, <aether:skyrootRing>);
mods.thaumcraft.Research.addPrereq("SALTY_WOODRING", "SALTY_AETHER", false);
game.setLocalization("en_US", "tc.research_name.SALTY_WOODRING", "Skyroot Jewelry");
game.setLocalization("en_US", "tc.research_text.SALTY_WOODRING", "Simpler than it seems");

mods.thaumcraft.Research.addPage("SALTY_WOODRING", "salt.research_page.woodring1");
game.setLocalization("en_US", "salt.research_page.woodring1", "The Skyroot Ring provides an enchantment similar to Looting. You suspected the crafting process for one would involve similar procedures to adding Looting to your sword, but as it turns out, that's not the case.<BR>Skyroot needs only the slightest nudge to awaken some of its inherent looting properties. You suspect this may form the basis of deeper research.");

mods.thaumcraft.Arcane.addShaped("SALTY_WOODRING", <aether:skyrootRing>, "aqua 10, terra 10, perditio 10, ordo 10, aer 10, ignis 20", [[null, <aether:aetherLog>, null],[<aether:aetherLog>, null, <aether:aetherLog>],[null, <aether:aetherLog>, null]]);
mods.thaumcraft.Research.addArcanePage("SALTY_WOODRING", <aether:skyrootRing>);

// Aether candy ring
mods.thaumcraft.Research.addResearch("SALTY_CANDYRING", "SALTY", "fames 5, gula 5, victus 5, sano 5, vitium 3", 7, -6, 1, <aether:candyRing>);
mods.thaumcraft.Research.addPrereq("SALTY_CANDYRING", "SALTY_CANDYSWORD", false);
mods.thaumcraft.Research.addPrereq("SALTY_CANDYRING", "SALTY_WOODRING", false);
mods.thaumcraft.Warp.addToResearch("SALTY_CANDYRING", 5);
game.setLocalization("en_US", "tc.research_name.SALTY_CANDYRING", "Candy Jewelry");
game.setLocalization("en_US", "tc.research_text.SALTY_CANDYRING", "Never have to eat again!");

mods.thaumcraft.Research.addPage("SALTY_CANDYRING", "salt.research_page.candyring1");
game.setLocalization("en_US", "salt.research_page.candyring1", "Eating sucks. You constantly have to lug around large stores of food when you go on expeditions, and if you sustain an injury, you can burn through them in only a few days' time.<BR>The Candy Ring solves this problem, provided you're okay with the occasional sugar belly. And by infusing the Skyroot Ring with the most gluttonous things you have around, you can fashion a piece of jewelry that acts exactly the same way.<BR>The infusion refuses to complete without a small sample of vitium, confusingly.");

mods.thaumcraft.Infusion.addRecipe("SALTY_CANDYRING", <aether:skyrootRing>, [<aether:candyCane>, <ForbiddenMagic:GluttonyShard>, <minecraft:cake>, <ForbiddenMagic:GluttonyShard>, <aether:candyCane>, <ForbiddenMagic:GluttonyShard>,<minecraft:cake>, <ForbiddenMagic:GluttonyShard>], "fames 16, gula 32, victus 16, vitium 4", <aether:candyRing>, 4);
mods.thaumcraft.Research.addInfusionPage("SALTY_CANDYRING", <aether:candyRing>);